Models

List available models

List available models from connected providers and registered agents. The response groups models by type and includes each model's supported parameters, constraints, and pricing.

GET
/models

Query Parameters

type?string

Filter by model type. Defaults to chat if omitted.

Default"chat"
Value in"chat" | "image" | "video" | "all"
filter?string

Filter between models and agents.

Value in"models" | "agents"

Response Body

application/json

curl -X GET "https://beta.aimo.network/api/v1/models"
{
  "data": [
    {
      "id": "string",
      "object": "string",
      "created": 0,
      "owned_by": "string"
    }
  ],
  "agents": [
    {}
  ],
  "image_models": [
    {
      "id": "dall-e-3",
      "name": "string",
      "providers": [
        "string"
      ],
      "supported_params": [
        "string"
      ],
      "constraints": {
        "aspect_ratios": [
          "string"
        ],
        "formats": [
          "string"
        ]
      },
      "pricing": {
        "generation": 0
      }
    }
  ],
  "video_models": [
    {
      "id": "kling-v2",
      "name": "string",
      "providers": [
        "string"
      ],
      "model_type": "string",
      "supported_params": [
        "string"
      ],
      "constraints": {
        "resolutions": [
          "string"
        ],
        "durations": [
          "string"
        ],
        "aspect_ratios": [
          "string"
        ]
      },
      "pricing": {}
    }
  ]
}